pkg_version-zypper.rb

script to ease managing package upgrades in openSUSE

Add a Review
5 Downloads (This Week)
Last Update:

Screenshots

Description

OpenSUSE package manager zypper lacks a way to see packages' version statuses in brief. It's also not possible to ignore package/RPM versions when checking or choosing packages to upgrade (eg. from version 1.2.3-1.2 to 1.2.4-1.2). With pkg_version-zypper.rb script you can first see a nice list of package statuses and ignore packages' minor versions (eg. from version 1.2.3-1.2 to 1.2.3-1.3) when upgrading your software.

In daily usage basis, this enables to avoid re-installing tens and tens of programs for no big reason (usually) and do it only when programs in repository has been updated.

NB! It is not an official recommendation to do so as packages have their version number for a reason!
I personally have been ignoring RPM versions for years and have not been into any trouble because of that.

Usually you'd want to use the script as: sudo ./pkg_version-zypper.rb -f '<' -r -u

But you can also take package versions into account: sudo ./pkg_version-zypper.rb -f '<' -r -u -p

pkg_version-zypper.rb Web Site

Features

  • List and filter installed software versions
  • List abandoned software
  • Remove abandoned software
  • Upgrade software to the latest version from their native or foreign repository
  • Downgrade software if the only available versions are lower than the one installed

Update Notifications





Write a Review

User Reviews

Be the first to post a review of pkg_version-zypper.rb!

Additional Project Details

Intended Audience

Advanced End Users

User Interface

Command-line

Programming Language

Ruby

Registered

2013-02-03
Screenshots can attract more users to your project.
Features can attract more users to your project.

Icons must be PNG, GIF, or JPEG and less than 1 MiB in size. They will be displayed as 48x48 images.